# ForwardMessage - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests / ForwardMessage

# ForwardMessage

(common) `data class ForwardMessage : SimpleRequest<PossiblyForwardedMessage>, MessageAction` (source)

### Constructors

(common)

#### <init>

`ForwardMessage(fromChatId: ChatIdentifier, toChatId: ChatIdentifier, messageId: MessageIdentifier, disableNotification: Boolean = false)`

### Properties

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### disableNotification

`val disableNotification: Boolean`

(common)

#### fromChatId

`val fromChatId: ChatIdentifier`

(common)

#### messageId

`val messageId: MessageIdentifier`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<PossiblyForwardedMessage>`

(common)

#### toChatId

`val toChatId: ChatIdentifier`

### Functions

(common)

#### method

`fun method(): String`